﻿Public Class Form1
    Dim ArithmosFortion As Integer
    Dim P(100), L(100) As Single

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        ArithmosFortion = TextBox1.Text

        'Θεωρούμε ότι υπάρχει ένα διάνυσμα P(i) όπου αποθηκεύονται οι τιμές των φορτίων 
        ' και διάνυσμα L(i) όπου αποθηκεύονται οι τιμές της θέσης του φορτίου ως προς την αρχή των αξόνων

        For i = 1 To ArithmosFortion
            L(i) = InputBox("Δώστε την τιμή της θέσης του φορτίου με Α/Α:" & i)
            P(i) = InputBox("Δώστε την τιμή του φορτίου με Α/Α:" & i)

        Next i

        With Me.DataGridView1
            .RowHeadersWidth = 100
            .ColumnCount = 3
            .RowCount = ArithmosFortion + 1
            .RowHeadersVisible = False
            .Rows(0).Cells(0).Value = "A/A"
            .Rows(0).Cells(1).Value = "L(m)"
            .Rows(0).Cells(2).Value = "P(kN)"
            For i = 1 To ArithmosFortion
                .Rows(i).Cells(0).Value = i
                .Rows(i).Cells(1).Value = P(i)
                .Rows(i).Cells(2).Value = L(i)
            Next i
            .Visible = True
        End With

        'Δημιουργία διαγράμματος
        With Me.AxMSChart1
            .ShowLegend = False
            With .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisTitle
                .VtFont.Size = 10
                .Visible = True
                .Text = "P (kN)"
            End With
            With .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdX).AxisTitle
                .VtFont.Size = 10
                .Visible = True
                .Text = "Length (m)"
            End With
            .Title.VtFont.Size = 10
            .Title.Text = "Test diagram"
            .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisScale.type = MSChart20Lib.VtChScaleType.VtChScaleTypeLinear
            .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdX).AxisScale.type = MSChart20Lib.VtChScaleType.VtChScaleTypeLinear
            .Plot.UniformAxis = False
        End With

        Dim Chartpoints(ArithmosFortion, 2)
        For i = 1 To ArithmosFortion
            Chartpoints(i, 1) = L(i)
            Chartpoints(i, 2) = P(i)
        Next i

        Me.AxMSChart1.ColumnCount = 2
        Me.AxMSChart1.RowCount = ArithmosFortion

        For i = 1 To ArithmosFortion
            Me.AxMSChart1.DataGrid.SetData(i, 1, Chartpoints(i, 1), False)
            Me.AxMSChart1.DataGrid.SetData(i, 2, Chartpoints(i, 2), False)
        Next
    End Sub
End Class
