
Public Class frmmain

    Dim L, Ay, By, P(100), x(100), temp, temp2, V(100), M(100) As Double
    Dim nofloads, i, j As Integer


    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        L = Val(Me.txtlength.Text)        
        nofloads = Int(Val(Me.txtnofloads.Text))
        Ay = 0
        By = 0

        If L = 0 Or nofloads = 0 Then
            MsgBox("    ", MsgBoxStyle.Critical, "")
        Else
            If nofloads > 95 Then ReDim P(nofloads + 5), x(nofloads + 5), M(nofloads + 5), V(nofloads + 5)
            For i = 1 To nofloads
                P(i) = Val(InputBox(" P" & i & " (kN)", "    "))
                x(i) = Val(InputBox("  P" & i & "    (m)", "  "))
                If x(i) < 0 Then
                    MsgBox("H      ", vbCritical)
                    i = i - 1
                End If
                If x(i) > L Then
                    MsgBox("H        ", vbCritical)
                    i = i - 1
                End If
            Next i

            For i = 1 To nofloads
                For j = i + 1 To nofloads
                    If x(i) > x(j) Then
                        temp = x(i)
                        temp2 = P(i)
                        x(i) = x(j)
                        P(i) = P(j)
                        x(j) = temp
                        P(j) = temp2
                    End If
                Next j
            Next i

            For i = 1 To nofloads
                Ay = Math.Round(Ay + P(i) * (L - x(i)) / L, 2)
                By = Math.Round(By + P(i) * x(i) / L, 2)
            Next i

            Me.lblAy.Text = Ay & " (kN)"
            Me.lblBy.Text = By & " (kN)"

            V(0) = Ay
            M(0) = 0
            x(0) = 0

            For i = 1 To nofloads
                V(i) = Math.Round(V(i - 1) - P(i), 2)
                M(i) = Math.Round(M(i - 1) + V(i - 1) * (x(i) - x(i - 1)), 2)
            Next i

            V(nofloads + 1) = 0
            M(nofloads + 1) = 0
            x(nofloads + 1) = L

            With Me.grdDiagrama
                .RowHeadersWidth = 100
                .RowCount = nofloads + 2
                .RowHeadersVisible = False
                For i = 0 To nofloads + 1
                    .Rows(i).Cells(0).Value = x(i)
                    .Rows(i).Cells(1).Value = V(i)
                    .Rows(i).Cells(2).Value = M(i)
                Next i
                .Visible = True
            End With
            Me.Height = 610
            Me.Button2.Visible = True
            Me.Button3.Visible = True
            Me.Button4.Location = New Point(489, 232)
        End If

    End Sub


    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        With Me.AxMSChart1

            .ShowLegend = False

            With .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisTitle
                .VtFont.Size = 10
                .Visible = True
                .Text = "M (kNm)"
            End With
            With .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdX).AxisTitle
                .VtFont.Size = 10
                .Visible = True
                .Text = "Length (m)"
            End With

            .Title.VtFont.Size = 10
            .Title.Text = "Beam momment diagram"

            .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisScale.type = MSChart20Lib.VtChScaleType.VtChScaleTypeLinear

            .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisScale.type = MSChart20Lib.VtChScaleType.VtChScaleTypeLinear

            .Plot.UniformAxis = False

        End With

        Dim Chartpoints(nofloads + 5, 2)

        For i = 1 To nofloads + 2
            Chartpoints(i, 1) = x(i - 1)
            Chartpoints(i, 2) = -M(i - 1)
        Next i

        Me.AxMSChart1.ColumnCount = 2
        Me.AxMSChart1.RowCount = nofloads + 2

        For i = 1 To nofloads + 2
            Me.AxMSChart1.DataGrid.SetData(i, 1, Chartpoints(i, 1), False)
            Me.AxMSChart1.DataGrid.SetData(i, 2, Chartpoints(i, 2), False)
        Next
        Me.AxMSChart1.Visible = True
        Me.Width = 759
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        With Me.AxMSChart1

            .ShowLegend = False

            With .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisTitle
                .VtFont.Size = 10
                .Visible = True
                .Text = "V (kN)"
            End With
            With .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdX).AxisTitle
                .VtFont.Size = 10
                .Visible = True
                .Text = "Length (m)"
            End With

            .Title.VtFont.Size = 10
            .Title.Text = "Shear force diagram"

            .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdY).AxisScale.type = MSChart20Lib.VtChScaleType.VtChScaleTypeLinear

            .Plot.Axis(MSChart20Lib.VtChAxisId.VtChAxisIdX).AxisScale.type = MSChart20Lib.VtChScaleType.VtChScaleTypeLinear

            .Plot.UniformAxis = False

        End With

        Dim Chartpoints(2 * nofloads + 5, 2)
        Dim Xnew(2 * nofloads + 5), Vnew(2 * nofloads + 5)

        Xnew(0) = x(0)
        Vnew(0) = V(0)

        For i = 1 To nofloads + 1
            Xnew(2 * i - 1) = x(i)
            Vnew(2 * i - 1) = V(i - 1)
            Xnew(2 * i) = x(i)
            Vnew(2 * i) = V(i)
        Next i

        For i = 1 To 2 * nofloads + 3
            Chartpoints(i, 1) = Xnew(i - 1)
            Chartpoints(i, 2) = Vnew(i - 1)
        Next i


        Me.AxMSChart1.ColumnCount = 2
        Me.AxMSChart1.RowCount = 2 * nofloads + 3

        For i = 1 To 2 * nofloads + 3
            Me.AxMSChart1.DataGrid.SetData(i, 1, Chartpoints(i, 1), False)
            Me.AxMSChart1.DataGrid.SetData(i, 2, Chartpoints(i, 2), False)
        Next

        Me.AxMSChart1.Visible = True
        Me.Width = 759
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Me.Close()
    End Sub
End Class
